//=============================================================================
// Two-Way Linear List Class Library
// Copyright(c)1999 Yamamoto Takanori.
//=============================================================================
#ifndef _H_EZLIST_
#define _H_EZLIST_

struct ezatom{
  ezatom *next;
  ezatom *prev;
  char *data;
};

class ezlist{
  ezatom alpha, omega;
public:
  ezlist();
  ~ezlist();
  int gofirst(ezatom **ptr);
  int golast(ezatom **ptr);
  int forward(ezatom **ptr);
  int backward(ezatom **ptr);
  int append(const char *src, int len);
  int remove(ezatom **ptr);
  char *getdata(ezatom **ptr);
};

#endif /* _H_EZLIST_ */
