#define PIXMAP_CC
#include "pixmap.h"

#include "document.xpm"
#include "folder.xpm"
#include "portrait.xpm"

int pixmap_create(GtkWidget *toplevel){
  GtkStyle  *style;
  style = gtk_widget_get_style(toplevel);
  pixmap_doc = gdk_pixmap_create_from_xpm_d(toplevel->window, &pixmap_doc_mask, &style->bg[GTK_STATE_NORMAL], document);
  pixmap_folder = gdk_pixmap_create_from_xpm_d(toplevel->window, &pixmap_folder_mask, &style->bg[GTK_STATE_NORMAL], folder);
  pixmap_portrait = gdk_pixmap_create_from_xpm_d(toplevel->window, &pixmap_portrait_mask, &style->bg[GTK_STATE_NORMAL], portrait);
  return 0;
}
