#include <gtk/gtk.h>
#include "topwindow.h"
#include "mystyle.h"

int topwindow::create(void){
  GtkWidget *table;
  widget = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_container_border_width(GTK_CONTAINER(widget), 0);
  gtk_window_set_title(GTK_WINDOW(widget), "gTiPOWARE");

  //TABLE
  table = gtk_table_new(2,3,FALSE);
  gtk_table_set_row_spacings(GTK_TABLE(table), 0);
  gtk_table_set_col_spacings(GTK_TABLE(table), 0);
  gtk_container_add(GTK_CONTAINER(widget), table);
  gtk_widget_set_mystyle(table);
  gtk_widget_show(table);

  //LOCALSYSTEM
  local.create(widget);
  gtk_container_border_width(GTK_CONTAINER(local.widget), 4);
  gtk_table_attach_defaults(GTK_TABLE(table), local.widget, 0,1, 0,1);

  //REMOTETIPO
  remote.create(widget);
  gtk_container_border_width(GTK_CONTAINER(remote.widget), 4);
  gtk_table_attach_defaults(GTK_TABLE(table), remote.widget, 2,3, 0,1);

  //TRANSBUTTON
  trans.create(widget);
  gtk_table_attach(GTK_TABLE(table), trans.widget, 1,2, 0,1, GTK_FILL, GTK_FILL, GTK_FILL, GTK_FILL);

  //BOTTOMBUTTON
  bottom.create(widget);
  gtk_table_attach(GTK_TABLE(table), bottom.widget, 0,3, 1,2, GTK_FILL, GTK_FILL, GTK_FILL, GTK_FILL);

  gtk_widget_set_mystyle(widget);
  gtk_widget_show(widget);
  return 0;
}
