#include <gtk/gtk.h>
#include "bottombuttons.h"
#include "mystyle.h"

int bottombuttons::create(GtkWidget *parent){
  //CONNECT
  button_connect = gtk_button_new_with_label("Connect");
  gtk_widget_set_mystyle(button_connect);
  gtk_widget_show(button_connect);

  //LOGWND
  button_logwnd = gtk_button_new_with_label("LogWnd");
  gtk_widget_set_mystyle(button_logwnd);
  gtk_widget_show(button_logwnd);

  //HELP
  button_help = gtk_button_new_with_label("Help");
  gtk_widget_set_mystyle(button_help);
  gtk_widget_show(button_help);

  //OPTIONS
  button_options = gtk_button_new_with_label("Options");
  gtk_widget_set_mystyle(button_options);
  gtk_widget_show(button_options);

  //ABOUT
  button_about = gtk_button_new_with_label("About");
  gtk_widget_set_mystyle(button_about);
  gtk_widget_show(button_about);

  //EXIT
  button_exit = gtk_button_new_with_label("Exit");
  gtk_widget_set_mystyle(button_exit);
  gtk_widget_show(button_exit);

  //HBOX
  widget = gtk_hbox_new(TRUE, 4);//4
  gtk_box_pack_start(GTK_BOX(widget), button_connect, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_logwnd, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_help, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_options, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_about, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_exit, TRUE, TRUE, 0);
  gtk_widget_set_mystyle(widget);
  gtk_widget_show(widget);
  return 0;
}


